;##################################################################
;
;   ZMercury (Saved data)
;
;   Programmed by Patrick Davidson (pad@calc.org)
;        
;   Copyright 2004 by Patrick Davidson.  This software may be freely
;   modified and/or copied with no restrictions.  There is no warranty.
;
;   This file was last updated February 22, 2004.
;
;##################################################################

saved_flag:
        .db     0               ; set if saved game

;############## Variables not zeroed on game start

game_timer:
        .dw     0
terrain_count:
        .db     0               ; position in terrain buffer
terrain_x:
        .db     0               ; terrain block number (last entered)

player_y:
        .db     0
player_x:
        .db     0

shield: .db     0,0

;############## Variables that are zeroed on game start

zero_start:

game_status:
        .db     0               ; 0 = normal
                                ; 1 = scroll stars only (until enemies dead)
                                ; 2 = no scrolling (until enemies dead)
#define SCORELEN 3
score:  .db     0,0,0
player_bullets:
        .ds     pb_size*pb_num
enemy_bullets:
        .ds     eb_size*eb_num
e_array:
        .ds     e_size*e_num

saved_end:
